@charset "UTF-8";

/* =====================
  c-section
===================== */
.c-section {
  position: relative;
  padding-block-end: 92px;
  background-color: #fff;
  border: 1px solid var(--color-text-primary);
  clip-path: inset(-100% 0 0% 0);

  @media (width <= 768px) {
    padding-block-end: 12vw;
  }

  /* ==== texture ==== */
  &::after {
    position: absolute;
    inset: 0;
    z-index: 1;
    pointer-events: none;
    content: '';
    background-image: url('../../img/recruit/_common/texture.png');
    background-repeat: repeat;
    background-position: center;
    background-size: 100px 100px;
    opacity: 0.25;

    @media (width <= 768px) {
      background-image: url('../../img/recruit/_common/texture_sp.png');
      background-size: calc((100 / 390) * 100 * 1vw) calc((100 / 390) * 100 * 1vw);
    }
  }

  /* ==== h2 ==== */
  h2 {
    position: relative;
    z-index: 2;
    display: block grid;
    place-content: center;
    inline-size: fit-content;
    padding-block: 14px;
    padding-inline: 40px;
    margin-block-start: -32px;
    margin-inline: auto;
    overflow: clip;
    font-size: 21px;
    font-style: normal;
    font-weight: 600;
    line-height: 1.4;
    background-color: white;
    border: 1px solid currentcolor;
    border-radius: calc(infinity * 1px);

    @media (width <= 768px) {
      padding-block: 3.3vw;
      padding-inline: 10.2vw;
      margin-block-start: -7.7vw;
      font-size: calc((100 / 390) * 18 * 1vw);
    }

    /* ==== texture ==== */
    &::after {
      position: absolute;
      inset: 0;
      z-index: 1;
      pointer-events: none;
      content: '';
      background-image: url('../../img/recruit/_common/texture.png');
      background-repeat: repeat;
      background-position: center;
      background-size: 100px 100px;
      opacity: 0.25;

      @media (width <= 768px) {
        background-image: url('../../img/recruit/_common/texture_sp.png');
        background-size: calc((100 / 390) * 100 * 1vw) calc((100 / 390) * 100 * 1vw);
      }
    }
  }

  /* ==== wrap ==== */
  .wrap {
    position: relative;
    z-index: 2;
    display: table;
    inline-size: 851px;
    max-inline-size: 851px;
    margin-block-start: 90px;
    margin-inline: auto;
    table-layout: fixed;
    border-collapse: collapse;

    @media (width <= 768px) {
      display: block grid;
    }

    &::after {
      position: absolute;
      inset-block-start: 16px;
      inset-inline-start: 24%;
      inline-size: 1px;
      block-size: 100%;
      pointer-events: none;
      content: '';
      background: #d5d5d5;

      @media (width <= 768px) {
        inset-block-start: 1.1vw;
        inset-inline-start: 6.7vw;
        inline-size: 1px;
      }
    }

    @media (width <= 768px) {
      gap: 11.3vw;
      inline-size: 100%;
      max-inline-size: 100%;
      padding-inline: calc((100 / 390) * 24 * 1vw);
      margin-block-start: 13.5vw;
    }

    .tr {
      display: table-row;

      @media (width <= 768px) {
        display: block grid;
        gap: 35px;
        padding-inline-start: 23px;
      }

      &:last-child {
        @media (width <= 768px) {
          padding-block-end: 9.4vw;
        }
      }

      &:last-child dt,
      &:last-child dd {
        padding-block-end: 51px;

        @media (width <= 768px) {
          padding-block-end: 0;
        }
      }
    }

    & :where(dt, dd) {
      display: table-cell;
      padding-block-end: 40px;
      margin-block: calc((1em - 1lh) / 2);
      vertical-align: top;

      @media (width <= 768px) {
        padding-block-end: 0;
      }
    }

    /* ==== dt ==== */
    dt {
      position: relative;
      inline-size: 209px;
      padding-inline-end: 20px;
      font-size: 18px;
      font-weight: 600;

      @media (width <= 768px) {
        inline-size: 100%;
        padding-inline: 0;
        font-size: calc((100 / 390) * 17 * 1vw);
      }

      /* ○ */
      &::before {
        position: absolute;
        inset-block-start: 16px;
        inset-inline-end: 0;
        z-index: 2;
        display: block flow;
        inline-size: 9px;
        aspect-ratio: 1 / 1;
        pointer-events: none;
        content: '';
        background: var(--pink);
        border-radius: calc(infinity * 1px);

        @media (width <= 768px) {
          inset: unset;
          inset-block-start: 3.5vw;
          inset-inline-start: -6.2vw;
          inline-size: calc((100 / 390) * 8 * 1vw);
        }
      }

      @media (width <= 768px) {
        inline-size: 100%;
      }
    }

    /* ==== dd ==== */
    dd {
      padding-block-start: 7px;
      padding-inline-start: 40px;

      @media (width <= 768px) {
        padding-block-start: 0;
        padding-inline-start: 0;
      }

      > span {
        display: block flow;
        margin-block-end: 12px;
        font-size: 18px;
        font-weight: 600;
        line-height: 1.4;

        @media (width <= 768px) {
          margin-block-end: 0;
          font-size: calc((100 / 390) * 17 * 1vw);
        }
      }

      > p {
        @media (width <= 768px) {
          margin-block-start: 2.7vw;
          font-size: calc((100 / 390) * 15 * 1vw);
        }
      }
    }
  }

  /* ==== comment ==== */
  .comment {
    position: relative;
    z-index: 2;
    display: block flex;
    gap: 80px;
    justify-content: space-between;
    max-inline-size: 1120px;
    margin-block-start: 79px;
    margin-inline: auto;

    @media (width <= 768px) {
      flex-direction: column;
      gap: 8.3vw;
      max-inline-size: 100%;
      padding-inline: calc((100 / 390) * 24 * 1vw);
      margin-block-start: 11.5vw;
    }

    .picture {
      flex-shrink: 0;

      @media (width <= 768px) {
        img {
          block-size: calc((100 / 390) * 240 * 1vw);
          object-fit: cover;
        }
      }
    }

    .body {
      @media (width <= 768px) {
        font-size: calc((100 / 390) * 15 * 1vw);
      }
    }
  }
}

/* =====================
  career-plan
===================== */
.career-plan {
  padding-block: 117px 130px;

  @media (width <= 768px) {
    padding-block: 23.3vw 22.5vw;
  }

  /* ==== u-inner ==== */
  .u-inner {
    display: block grid;
    gap: 112px;

    @media (width <= 768px) {
      gap: 21.9vw;
    }
  }
}
